Subject: Ticket Assigned - Help no delivery from saudi post
From: Centrepoint <[email-masked]>
To: [email-masked]
Date: Wed, 27 Jan 2021 07:57:39 +0000

Hi Juhi Goel,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Help no delivery from saudi post Hi
My order no6266421975 is not delivered yet.
Kindly assist with my delivery am yet to receive the shopping from saudi post yet I keep getting the message my order was delivered. They called yesterday and asked for my delivery code as they were to deliver in Aramco camp which I gave. But nothing was delivered yesterday. I have tried to call and text them but no answer and now they have blocked my number. I have complained before about saudi post delivery services they tampered with my delivery another time and one of the item I ordered was missingWhich I complained about. I love shopping in Centrepoint. Kindly assist or refund me my money I don’t know what else to do.
Many thanks

Sent from my iPad
 https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/2025129